% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/print_prcmlpmm.R
\name{print.prcmlpmm}
\alias{print.prcmlpmm}
\title{Print method for PRC-MLPMM model fits}
\usage{
\method{print}{prcmlpmm}(x, digits = 4, ...)
}
\arguments{
\item{x}{an object of class \code{prcmlpmm}}

\item{digits}{number of digits at which the printed estimated regression
coefficients should be rounded (default is 4)}

\item{...}{additional arguments}
}
\value{
Summary information about the fitted PRC-MLPMM model
}
\description{
Print method for PRC-MLPMM model fits
}
\references{
Signorelli, M. (2024). pencal: an R Package for the Dynamic 
Prediction of Survival with Many Longitudinal Predictors. 
To appear in: The R Journal. Preprint: arXiv:2309.15600

Signorelli, M., Spitali, P., Al-Khalili Szigyarto, C, 
The MARK-MD Consortium, Tsonaka, R. (2021). 
Penalized regression calibration: a method for the prediction 
of survival outcomes using complex longitudinal and 
high-dimensional data. Statistics in Medicine, 40 (27), 6178-6196.
DOI: 10.1002/sim.9178
}
\seealso{
\code{\link{fit_prcmlpmm}}, \code{\link{summary.prcmlpmm}}
}
\author{
Mirko Signorelli
}
